Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTextStream.RealNumberNotation

    java.lang.Object
      java.lang.Enum<QTextStream.RealNumberNotation>
          com.trolltech.qt.core.QTextStream.RealNumberNotation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextStream.RealNumberNotation>

Enclosing class:
  QTextStream

    public static enum QTextStream.RealNumberNotation

extends java.lang.Enum<QTextStream.RealNumberNotation>
implements QtEnumerator

This enum specifies which notations to use for expressing `float` and `double` as strings.

See Also:
  `setRealNumberNotation`

Enum Constant Summary
`FixedNotation` Fixed-point notation (`printf()`'s `%f` flag).
`ScientificNotation` Scientific notation (`printf()`'s `%e` flag).
`SmartNotation` Scientific or fixed-point notation, depending on which makes most sense (`printf()`'s `%g` flag).

Method Summary
`static QTextStream.RealNumberNotation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextStream.RealNumberNotation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextStream.RealNumberNotation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SmartNotation

    public static final QTextStream.RealNumberNotation SmartNotation

  Scientific or fixed-point notation, depending on which makes most sense (`printf()`'s `%g` flag).

### FixedNotation

    public static final QTextStream.RealNumberNotation FixedNotation

  Fixed-point notation (`printf()`'s `%f` flag).

### ScientificNotation

    public static final QTextStream.RealNumberNotation ScientificNotation

  Scientific notation (`printf()`'s `%e` flag).

Method Detail

### values

    public static final QTextStream.RealNumberNotation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextStream.RealNumberNotation c : QTextStream.RealNumberNotation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextStream.RealNumberNotation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextStream.RealNumberNotation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD